package com.jsowell.pile.dto;

import com.jsowell.pile.domain.OrderBasicInfo;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 支付订单DTO
 */
@Data
public class PayOrderDTO {
	/**
	 * 会员id
	 */
	private String memberId;

	/**
	 * 订单编号
	 */
	private String orderCode;

	/**
	 * 支付方式
	 * @see com.jsowell.common.enums.ykc.OrderPayModeEnum
	 */
	private String payMode;

	/**
	 * 支付金额
	 */
	private BigDecimal payAmount;

	/**
	 * 微信支付需要用的code
	 */
	private String code;

	/**
	 * redis锁的值
	 */
	private String lockValue;

	private OrderBasicInfo orderBasicInfo;

	@Override
	public String toString() {
		return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
				.append("memberId", memberId)
				.append("orderCode", orderCode)
				.append("payMode", payMode)
				.append("payAmount", payAmount)
				.append("code", code)
				.toString();
	}
}
